SystemOrganization addCategory: #'DTR-TestPier'!

WAComponent subclass: #TestMultiPier
	instanceVariableNames: 'siteA siteB tabs task'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DTR-TestPier'!

!TestMultiPier class methodsFor: 'as yet unclassified' stamp: 'DTR 11/27/2010 13:33'!
initialize

	 WAAdmin register:self asApplicationAt: 'testmultipier'.
	! !

!TestMultiPier methodsFor: 'as yet unclassified' stamp: 'DTR 11/27/2010 13:24'!
children
	^ Array with: siteA with: siteB! !

!TestMultiPier methodsFor: 'as yet unclassified' stamp: 'DTR 11/27/2010 14:07'!
initialize

	| nomeKernelA  nomeKernelB |
	
		super initialize.
		
		nomeKernelA := 'pier'.
		nomeKernelB := 'pier'.
		
		siteA := PRPierFrame  on: (PRContext kernel: (PRKernel instanceNamed: nomeKernelA )). 
	
		siteB := PRPierFrame  on: (PRContext kernel: (PRKernel instanceNamed: nomeKernelB )).
		
	
		tabs := OrderedCollection new.
		
		tabs add: 'SiteA' -> siteA.
	
		tabs add: 'SiteB' -> siteB.! !

!TestMultiPier methodsFor: 'as yet unclassified' stamp: 'DTR 11/27/2010 13:28'!
renderContentOn: html 

	|  |

	html text: 'Prova gestione multi Pier istance'.
	html paragraph: Time now.
	
	self renderTopMenuOn: html.
	
		
	task  ifNotNil:[	
						html div id: 'divTabMst';
	
						with:[ html render: task ]
						]! !

!TestMultiPier methodsFor: 'as yet unclassified' stamp: 'DTR 11/26/2010 15:11'!
renderTopMenuOn: html
	
	html unorderedList id: 'menu'; with: [
		tabs do: [ :each |
			html listItem: [
				html anchor
					class: (task = each value
						ifTrue: [ 'active' ]);
					callback: [ task := each value  ];
					with: each key ] ] ] 
! !
TestMultiPier initialize!
